> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates an existing tax class.

> Updates an existing tax class.



## OpenAPI

````yaml /openapi/erp/2.3.json patch /v2/tax-classes/{id}
openapi: 3.0.0
info:
  title: JTL-WAWI API (Cloud)
  description: "JTL-Wawi-Version: 2.4.0-alpha.261119204830+Sha.7323513\r\n# Introduction\r\n\r\nWelcome to the JTL-WAWI technical API documentation. This guide is here to help developers understand how our REST API works and how it can be integrated into your existing systems. We'll delve into the details of authentication and data manipulation processes, providing clear examples along the way. Whether you're a developer or an IT professional, this documentation aims to give you a practical understanding, laying the groundwork for effectively using the JTL-WAWI API to enhance your processes.\r\n\r\n# Authentication\r\n\r\nYou register your application with the API by sending a POST request with the required information and corresponding keys. You can find the exact request details at https://developer.jtl-software.com/products/erp/swagger/appregistration. This information has to include the following:\r\n\r\n* AppId\r\n* DisplayName\r\n* Description\r\n* Version\r\n* ProviderName\r\n* ProviderWebsite\r\n* MandatoryApiScopes\r\n\r\nThis data is crucial for identifying and registering your application with the API. The API uses it to generate a temporary authentication ID that allows your application to access the necessary resources. After successful validation of this information, you will receive the API key required for future authentication and API requests.\r\n\r\nBefore you can begin the registration process, you must open JTL-Wawi (new interface) and start the registration process under 'Admin->App registration'. Only at this point are you authorised to send the first API call. This step in JTL-Wawi ensures that your application is properly registered and has permission to use the API.\r\n\r\nThe API will send you an authentication ID in the form of a token. Once you have received this token and successfully completed the registration in JTL-Wawi, you will send another request to the API by including this authentication ID in the URL path.\r\n\r\nAfter successful validation of this second request by the API and confirmation of the correct information, you will be provided with the actual API key. It is important to note that this API key will not be displayed again!\r\n\r\nThis API key will be used in the future to authenticate requests to the API. It is of utmost importance that you securely store the API key upon receipt, as it cannot be retrieved from any other location in the system."
  contact:
    name: JTL-Software-GmbH
    url: https://developer.jtl-software.com/
    email: partner@jtl-software.com
  version: '2.3'
  x-application-version: 2.4.0.0
servers:
  - url: https://api.jtl-cloud.com/erp
    description: Production Environment Cloud API Gateway
security: []
tags:
  - name: WMS
    description: >-
      <p data-section-id='tag/WMS' class='stable_summary'></p>Query all pick
      lists for a specific wms warehouse that are not completed.
  - name: Wawi App
    description: >-
      <p data-section-id='tag/Wawi App' class='stable_summary'></p>Get a
      specific customer
  - name: Warehouses
    description: >-
      <p data-section-id='tag/Warehouses' class='stable_summary'></p>Queries all
      storage locations for a given warehouse.
  - name: Units
    description: Development
  - name: Transaction Status
    description: >-
      <p data-section-id='tag/Transaction Status'
      class='stable_summary'></p>Queries all transaction statuses for a sales
      order.
  - name: Tax
    description: >-
      <p data-section-id='tag/Tax' class='stable_summary'></p>Returns the tax
      rate for the given item.
  - name: Inventory
    description: >-
      <p data-section-id='tag/Inventory' class='stable_summary'></p>Queries
      stocks for a specific item, warehouse or storage location.
  - name: Sales Order
    description: >-
      <p data-section-id='tag/Sales Order' class='stable_summary'></p>Queries
      all cancellation reasons for sales orders.
  - name: Sales Invoice Correction
    description: >-
      <p data-section-id='tag/Sales Invoice Correction'
      class='stable_summary'></p>Queries all cancellation reasons for sales
      invoice corrections.
  - name: Return
    description: >-
      <p data-section-id='tag/Return' class='stable_summary'></p>Create a new
      return with associated items and packages.
  - name: Item
    description: >-
      <p data-section-id='tag/Item' class='stable_summary'></p>Queries all
      responsible persons.
  - name: Refund
    description: >-
      <p data-section-id='tag/Refund' class='stable_summary'></p>Queries all
      cancellation reasons for refunds.
  - name: Property
    description: >-
      <p data-section-id='tag/Property' class='stable_summary'></p>Queries all
      properties of items.
  - name: Printer
    description: >-
      <p data-section-id='tag/Printer' class='stable_summary'></p>Retrieves all
      installed printers.
  - name: Master Data
    description: >-
      <p data-section-id='tag/Master Data' class='stable_summary'></p>Queries
      all on hold reasons for sales orders.
  - name: Manufacturer
    description: Development
  - name: Label
    description: Development
  - name: Sales Invoice
    description: >-
      <p data-section-id='tag/Sales Invoice' class='stable_summary'></p>Gets a
      specific invoice.
  - name: Info
    description: >-
      <p data-section-id='tag/Info' class='stable_summary'></p>Returns the
      status of the API.
  - name: Features
    description: >-
      <p data-section-id='tag/Features' class='stable_summary'></p>Returns the
      available feature sets with release state and API version.
  - name: Extensibility
    description: >-
      <p data-section-id='tag/Extensibility' class='stable_summary'></p>Returns
      the installed extensions.
  - name: Shipment
    description: Development
  - name: Delivery Note
    description: >-
      <p data-section-id='tag/Delivery Note' class='stable_summary'></p>Queries
      all delivery notes.
  - name: Custom Field
    description: Development
  - name: Customer
    description: >-
      <p data-section-id='tag/Customer' class='stable_summary'></p>Deletes a
      specific customer.
  - name: Authentication
    description: >-
      <p data-section-id='tag/Authentication'
      class='deprecated_summary'></p>DEPRECATED seit Wawi 2.2.0: No-Op. Seit
      Wawi 2.1.0 registriert sich die Wawi selbst per JWT.
  - name: Attribute
    description: Development
  - name: Sales Quotation
    description: >-
      <p data-section-id='tag/Sales Quotation'
      class='stable_summary'></p>Execute the printing of a sales quotation
  - name: Production
  - name: Resources
  - name: Sales Orders
  - name: Marketplace Order
  - name: Marketplace Offer
  - name: Marketplace Invoicing
  - name: Company
  - name: Sales Channel
  - name: Payment
  - name: Warehouse Assistant
  - name: Worker
paths:
  /v2/tax-classes/{id}:
    patch:
      tags:
        - Tax
      summary: Updates an existing tax class.
      description: Updates an existing tax class.
      operationId: TaxDomain_UpdateTaxClass
      parameters:
        - name: id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerklasseKey'
            example: b45f6432-2462-4c6f-b00f-1d9d01000000
          x-position: 2
        - name: x-companyid
          in: header
          description: >-
            The Company-Id (int or uuid) of the company on whose behalf the
            request is executed.
          schema:
            type: string
        - name: Idempotency-Key
          in: header
          description: >-
            Optional, client-generated key for deduplicating repeated write
            requests. A repeated request with the same key returns the
            originally recorded result instead of executing the effect again.
          schema:
            type: string
            maxLength: 255
            minLength: 1
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
          description: The tenant ID for the target ERP instance.
      requestBody:
        x-name: request
        description: Request parameters
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.UpdateTaxClassCommandRequest
        required: true
        x-position: 1
      responses:
        '200':
          description: The tax class has been successfully updated.
          content:
            application/json: {}
        '400':
          description: >-
            The tax class cannot be changed. REST answers with the error code
            "ValidationError" and the messages only. The GraphQL mutation
            "UpdateTaxClass" answers with the error code "VALIDATION_FAILED" and
            returns every reason that applies, each with its code in
            "extensions.details[].errorCode": "TaxClassNotFound" (the tax class
            does not exist), "TaxClassNameRequired" (a changed "Name" is null,
            empty or contains only white space), "TaxClassNameTooLong" ("Name"
            is longer than 255 characters; such a name is not compared with the
            other tax classes), "TaxClassNameNotUnique" (another tax class
            already has the changed "Name", where upper and lower case and white
            space at the start or end do not count; the message names that tax
            class), "TaxTypeInvalid" ("TaxType" is not one of the defined
            values; only a REST request can send such a value),
            "TaxClassTaxTypeNotUnique" (another tax class already has this
            "TaxType"; any number of tax classes may use "None"),
            "TaxClassLastStandardRequired" ("IsStandard" is false and no other
            tax class is the standard tax class; mark another tax class as
            standard instead).
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Wawi.Rest.Abstraction.Exceptions.ErrorResponse
        '401':
          description: ''
          content:
            application/json: {}
        '403':
          description: ''
          content:
            application/json: {}
        '404':
          description: >-
            The tax class was deleted by another request after the checks and
            before the change. REST answers with the error code
            "EntityNotFound", GraphQL with the code "404". A tax class that does
            not exist when the request arrives is answered with 400 and
            "TaxClassNotFound".
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Wawi.Rest.Abstraction.Exceptions.ErrorResponse
        '500':
          description: ''
          content:
            application/json: {}
      security:
        - oauth2-authorization-code:
            - taxes.write
        - oauth2-client-credentials:
            - taxes.write
components:
  schemas:
    JTL.Data.Contracts.Keys.SteuerklasseKey:
      type: string
      description: Id of a tax class.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.UpdateTaxClassCommandRequest:
      type: object
      description: Updates an existing tax class. - Request
      additionalProperties: false
      properties:
        isStandard:
          type: boolean
          description: >-
            Whether this tax class is the standard tax class. Setting this to
            true will set all other tax classes to non-standard.
        name:
          type: string
          description: >-
            The name of the tax class, at most 255 characters. A changed name
            must not be empty and must differ from the names of all other tax
            classes, where upper and lower case and white space at the start or
            end do not count. This rule applies from JTL-Wawi 2.3 on; earlier
            releases accepted empty and duplicate names. The name is stored as
            sent. The current name sent exactly as it is stored is always
            accepted, even if it is empty or another tax class uses it too. The
            comparison with the stored name is exact: a name that differs from
            it only in case or in white space at the start or end counts as
            changed and has to follow the rule.
        taxType:
          $ref: >-
            #/components/schemas/JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxType
          type: integer
          description: The type of the tax class
          format: int32
    JTL.Wawi.Rest.Abstraction.Exceptions.ErrorResponse:
      type: object
      description: >-
        Represents an error response returned by the system in case of a failure
        or exception.
      additionalProperties: false
      properties:
        errorCode:
          type: string
          description: >-
            Gets or sets the error code that identifies the type of error
            encountered.
        validationErrors:
          type: object
          description: >-
            Gets or sets a dictionary containing validation errors associated
            with the request.
          deprecated: true
          x-deprecatedMessage: Use Errors
          additionalProperties:
            type: string
        errors:
          type: object
          description: Gets or sets a collection of errors associated with the response.
          additionalProperties:
            type: array
            items:
              type: string
        errorMessage:
          type: string
          description: >-
            Gets or sets the error message that provides details about the error
            encountered.
        stacktrace:
          type: string
          description: >-
            Gets or sets the stack trace associated with the error, providing
            detailed

            information about the sequence of method calls that led to the
            exception.
    JTL.Wawi.Taxes.PublicApi.DataTransferObjects.V2.TaxDomain.TaxType:
      type: integer
      description: >-
        0 = None, 1 = SuperReduced, 2 = ReducedLow, 3 = Reduced, 4 = Standard, 5
        = Intermediate
      format: int32
      x-enumNames:
        - None
        - SuperReduced
        - ReducedLow
        - Reduced
        - Standard
        - Intermediate
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
  securitySchemes:
    oauth2-authorization-code:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://id.jtl-cloud.com/oauth/v2/authorize
          tokenUrl: https://id.jtl-cloud.com/oauth/v2/token
          scopes:
            inventories.write: Grants permission to modify stock levels.
            inventory.print: Grants permission to print inventory count lists.
            inventory.read: Grants permission to read stock levels.
            inventory.write: Grants permission to modify stock levels.
            picklists.print: Grants permission to print pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            warehouse.read: Grants permission to read warehouse data.
            warehouses.print: Grants permission to print storage location labels.
            warehouses.write: Grants permission to write warehouse data.
            items.print: Grants permission to print item labels.
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            procurements.read: Read procurement
            saleschannels.read: Grants permission to read sales channels.
            saleschannels.write: Grants permission to create and modify sales channels.
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            wawiapp.all: Grants access to Wawi app related operations.
            returns.mail: Grants permission to send returns by e-mail.
            returns.print: Grants permission to print returns.
            deliverynotes.mail: Grants permission to send delivery notes by e-mail.
            customers.print: Grants permission to print customer details.
            currencies.read: Grants read access to currencies.
            dunning.mail: Grants permission to send dunning notices by e-mail.
            dunning.print: Grants permission to print dunning notices.
            dunning.read: >-
              Grants read access to dunning: dunning levels, dunning notices,
              dunning proposals, dunning runs and the dunning status of invoices
              and customers.
            dunning.write: >-
              Grants write access to dunning: maintain dunning levels, issue and
              withdraw dunning notices, start dunning runs and set dunning
              blocks.
            jera.read: Grants read access to JERA internal endpoints.
            masterdata.write: Write master data
            paymentmethods.read: Grants read access to payment methods.
            payments.mail: Grants permission to send payment receipts by e-mail.
            payments.read: Grants permission to read payments.
            payments.write: Grants permission to write payments.
            salescreditnotes.mail: Grants permission to send sales credit notes by e-mail.
            salescreditnotes.print: Grants permission to print sales credit notes.
            salescreditnotes.write: Grants permission to cancel credit notes.
            salesinvoicecorrections.mail: Grants permission to send sales invoice corrections by e-mail.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.mail: Grants permission to send sales invoices by e-mail.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesorders.mail: Grants permission to send sales orders by e-mail.
            salesquotations.mail: Grants permission to send sales quotations by e-mail.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            salessubscriptions.read: Grants read access to subscriptions.
            salessubscriptions.write: Grants write access to subscriptions.
            system.worker.read: Read worker syncs
            system.worker.write: Write worker syncs
            worker.errors.read: Read the error log of the worker syncs
            worker.read: Read the worker service and its syncs
            worker.reset: Reset all worker syncs (destructive)
            worker.write: Control and configure worker syncs
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            channels.read: Grants permission to read marketplace channels.
            invoices.print: >-
              Grants permission to print marketplace external documents
              (invoices, credit notes).
            marketplaceoffers.read: Grants permission to read marketplace offers and offer failures.
            marketplaceoffers.write: Grants permission to create and modify marketplace offers.
            notifications.read: Grants permission to read marketplace notifications.
            orders.write: >-
              Grants permission to modify marketplace order data (exclude/reset
              cancellation, payment, return and shipping uploads).
            scxoffers.read: >-
              Grants permission to read SCX offer data, such as channel
              attributes.
            scxoffers.write: >-
              Grants permission to write SCX offer data, such as refreshing
              attribute definitions.
            masterdata.company.irreversible.write: Perform irreversible company actions
            masterdata.email.write: Write email configuration
            taxes.write: Grants permission to create and modify tax data.
            output.read: Grants permission to read output templates and document types.
            output.write: Grants permission to manage output template sets.
            users.read: Grants permission to read users, user groups and permissions.
            users.write: >-
              Grants permission to create and modify users, user groups and
              their permissions.
            incominginvoices.read: >-
              Grants permission to read incoming invoices, including their line
              items, additional costs and payments, and the additional cost
              types.
            incominginvoices.write: >-
              Grants permission to create and modify incoming invoices,
              including their line items, additional costs and payments, and to
              maintain the additional cost types.
            health.read: Read health
            health.sessions.read: Read sessions and logged-in users
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.
    oauth2-client-credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://id.jtl-cloud.com/oauth/v2/token
          scopes:
            inventories.write: Grants permission to modify stock levels.
            inventory.print: Grants permission to print inventory count lists.
            inventory.read: Grants permission to read stock levels.
            inventory.write: Grants permission to modify stock levels.
            picklists.print: Grants permission to print pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            warehouse.read: Grants permission to read warehouse data.
            warehouses.print: Grants permission to print storage location labels.
            warehouses.write: Grants permission to write warehouse data.
            items.print: Grants permission to print item labels.
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            procurements.read: Read procurement
            saleschannels.read: Grants permission to read sales channels.
            saleschannels.write: Grants permission to create and modify sales channels.
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            wawiapp.all: Grants access to Wawi app related operations.
            returns.mail: Grants permission to send returns by e-mail.
            returns.print: Grants permission to print returns.
            deliverynotes.mail: Grants permission to send delivery notes by e-mail.
            customers.print: Grants permission to print customer details.
            currencies.read: Grants read access to currencies.
            dunning.mail: Grants permission to send dunning notices by e-mail.
            dunning.print: Grants permission to print dunning notices.
            dunning.read: >-
              Grants read access to dunning: dunning levels, dunning notices,
              dunning proposals, dunning runs and the dunning status of invoices
              and customers.
            dunning.write: >-
              Grants write access to dunning: maintain dunning levels, issue and
              withdraw dunning notices, start dunning runs and set dunning
              blocks.
            jera.read: Grants read access to JERA internal endpoints.
            masterdata.write: Write master data
            paymentmethods.read: Grants read access to payment methods.
            payments.mail: Grants permission to send payment receipts by e-mail.
            payments.read: Grants permission to read payments.
            payments.write: Grants permission to write payments.
            salescreditnotes.mail: Grants permission to send sales credit notes by e-mail.
            salescreditnotes.print: Grants permission to print sales credit notes.
            salescreditnotes.write: Grants permission to cancel credit notes.
            salesinvoicecorrections.mail: Grants permission to send sales invoice corrections by e-mail.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.mail: Grants permission to send sales invoices by e-mail.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesorders.mail: Grants permission to send sales orders by e-mail.
            salesquotations.mail: Grants permission to send sales quotations by e-mail.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            salessubscriptions.read: Grants read access to subscriptions.
            salessubscriptions.write: Grants write access to subscriptions.
            system.worker.read: Read worker syncs
            system.worker.write: Write worker syncs
            worker.errors.read: Read the error log of the worker syncs
            worker.read: Read the worker service and its syncs
            worker.reset: Reset all worker syncs (destructive)
            worker.write: Control and configure worker syncs
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            channels.read: Grants permission to read marketplace channels.
            invoices.print: >-
              Grants permission to print marketplace external documents
              (invoices, credit notes).
            marketplaceoffers.read: Grants permission to read marketplace offers and offer failures.
            marketplaceoffers.write: Grants permission to create and modify marketplace offers.
            notifications.read: Grants permission to read marketplace notifications.
            orders.write: >-
              Grants permission to modify marketplace order data (exclude/reset
              cancellation, payment, return and shipping uploads).
            scxoffers.read: >-
              Grants permission to read SCX offer data, such as channel
              attributes.
            scxoffers.write: >-
              Grants permission to write SCX offer data, such as refreshing
              attribute definitions.
            masterdata.company.irreversible.write: Perform irreversible company actions
            masterdata.email.write: Write email configuration
            taxes.write: Grants permission to create and modify tax data.
            output.read: Grants permission to read output templates and document types.
            output.write: Grants permission to manage output template sets.
            users.read: Grants permission to read users, user groups and permissions.
            users.write: >-
              Grants permission to create and modify users, user groups and
              their permissions.
            incominginvoices.read: >-
              Grants permission to read incoming invoices, including their line
              items, additional costs and payments, and the additional cost
              types.
            incominginvoices.write: >-
              Grants permission to create and modify incoming invoices,
              including their line items, additional costs and payments, and to
              maintain the additional cost types.
            health.read: Read health
            health.sessions.read: Read sessions and logged-in users
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.

````